<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::AnimationState Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#4670365ae58e531297816ede430b0971">addTime</a>(Real offset)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#0a78387f3637ec52d9eda6614adbf479">AnimationState</a>(const String &amp;animName, AnimationStateSet *parent, Real timePos, Real length, Real weight=1.0, bool enabled=false)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#591c9a568799cf5261d3806129da2f5d">AnimationState</a>(AnimationStateSet *parent, const AnimationState &amp;rhs)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#d49f3512efa4716c778e48d1223f1b4f">copyStateFrom</a>(const AnimationState &amp;animState)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#3833bb6a215b05bf15f70d1fa52dd3ef">getAnimationName</a>() const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#3cecdbea43c62531d51d8c4ac51c56ab">getEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#25849076feadef5cbbfcb57589c3966b">getLength</a>() const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#0ec0b1f09ef22e7ef18a041e2fb30f29">getLoop</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#adbf4450864c966da1911d600a673ff7">getParent</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#dffe55bcb910703b963d0f168eca13cb">getTimePosition</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#6284267d9586b91203dca1456f6cba77">getWeight</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#e8d092abcb1e407b73f57d23394bd736">hasEnded</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#6aaecdb4c2d236c0a8b3b1af346e511e">mAnimationName</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#04f40a90d9464b5ed89ceb803b5e96d9">mEnabled</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#17da018a960a834b8d16af2e811b535f">mLength</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#4a6f3f2717fa461eaf22c04bf6528288">mLoop</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#9c169c11fa2b35f0f9db9f68f69c0da0">mParent</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#a524309374bba8a3eb05bac6c046ec1b">mTimePos</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#0e241844010a40259cf0eb28bcc68b98">mWeight</a></td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#7f21613e63dfd864ddd3df640c2131a4">operator!=</a>(const AnimationState &amp;rhs) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#01a1f30ff86bad2817be3675a6c3e67b">operator==</a>(const AnimationState &amp;rhs) const </td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#7acaa951a87614f39df6a7f767a88f60">setEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#f1910e8bbaebe61359ac7edb638e5cbc">setLength</a>(Real len)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#1f6272f69d31ff9fdeca356cfcf0bc9d">setLoop</a>(bool loop)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#e69ff5a068d086be7ecc048a71ed8efc">setTimePosition</a>(Real timePos)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#9666320c8d7739e3b0ee8ebd3bfe84aa">setWeight</a>(Real weight)</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimationState.html#0202f57ccea141a220330579538611dc">~AnimationState</a>()</td><td><a class="el" href="classOgre_1_1AnimationState.html">Ogre::AnimationState</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
